Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.input
Class SecureInputHandler

    java.lang.Object
      org.apache.tools.ant.input.DefaultInputHandler
          org.apache.tools.ant.input.SecureInputHandler

All Implemented Interfaces:
  InputHandler

    public class SecureInputHandler

extends DefaultInputHandler

Prompts and requests input. May loop until a valid input has been entered. Doesn't echo input (requires Java6). If Java6 is not available, falls back to the DefaultHandler (insecure).

Since:
  Ant 1.7.1

Constructor Summary
`SecureInputHandler()` Default no-args constructor

Method Summary
`void` | `handleInput(InputRequest request)` Handle the input

Methods inherited from class org.apache.tools.ant.input.DefaultInputHandler
`getInputStream, getPrompt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecureInputHandler

    public SecureInputHandler()

  Default no-args constructor

Method Detail

### handleInput

    public void handleInput(InputRequest request)
                     throws BuildException

  Handle the input

  Specified by:
    `handleInput` in interface `InputHandler`
  Overrides:
    `handleInput` in class `DefaultInputHandler`
  Parameters:
    `request` - the request to handle
  Throws:
    `BuildException` - if not possible to read from console

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD